/* functionSlideShow.cpp demonstrates the use of class CartesianSystem.
 *
 * Note:  We plot two functions f(x) and g(x).
 */
 
#include "CartesianSystem.h"
#include <cmath>
using namespace std;

double f(double x);
double f(double x) { return x * cos(x); }

double g(double x);
double g(double x) { return x; }

int main()
{
  CartesianSystem grid;
  
  grid.setPenWidth(3);
  grid.drawRectangle(-1, -1, 1, 1, PURPLE, FRAME);
  grid.drawCircle(0, 0, 1, GREEN, FRAME);
  grid.drawFunction(g, BLUE);
  grid.drawFunction(f, RED);
  
  grid.waitForMouseClick();
  grid.clear(YELLOW);
  grid.setPenWidth(3);
  grid.drawFunction(g, DKGREEN);
  grid.drawFunction(f, BLUE);
  
  grid.waitForMouseClick();
  grid.clear(BLACK);
  grid.drawAxis(YELLOW, 3);
  grid.drawFunction(g, AQUA);
  grid.drawFunction(f, RED);
}
